package com.ximai.mes.md.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 md_brand_order_quantity
 *
 * @author yinjinlu
 * @date 2024-01-16
 */
public class MdBrandOrderQuantity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long brandOrderQuantityId;

    /** 品牌id */
    @Excel(name = "品牌id")
    private Long brandId;


    /** 品牌编码*/
    @Excel(name = "品牌编码")
    private String brandCode;




    /** 品牌名称*/
    @Excel(name = "品牌名称")
    private String brandName;

    /** 年份 */
    @Excel(name = "年份")
    private String time;

    /** 区域 */
    @Excel(name = "区域")
    private String region;

    /** 订单量 */
    @Excel(name = "订单量")
    private String orderQuantity;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private String enableFlag;



    public String getBrandCode() {
        return brandCode;
    }

    public void setBrandCode(String brandCode) {
        this.brandCode = brandCode;
    }
    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }
    public void setBrandOrderQuantityId(Long brandOrderQuantityId)
    {
        this.brandOrderQuantityId = brandOrderQuantityId;
    }

    public Long getBrandOrderQuantityId()
    {
        return brandOrderQuantityId;
    }
    public void setBrandId(Long brandId)
    {
        this.brandId = brandId;
    }

    public Long getBrandId()
    {
        return brandId;
    }
    public void setTime(String time)
    {
        this.time = time;
    }

    public String getTime()
    {
        return time;
    }
    public void setRegion(String region)
    {
        this.region = region;
    }

    public String getRegion()
    {
        return region;
    }
    public void setOrderQuantity(String orderQuantity)
    {
        this.orderQuantity = orderQuantity;
    }

    public String getOrderQuantity()
    {
        return orderQuantity;
    }
    public void setEnableFlag(String enableFlag)
    {
        this.enableFlag = enableFlag;
    }

    public String getEnableFlag()
    {
        return enableFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandOrderQuantityId", getBrandOrderQuantityId())
            .append("brandId", getBrandId())
            .append("time", getTime())
                .append("brandCode", getBrandCode())
                .append("brandName", getBrandName())
            .append("region", getRegion())
            .append("orderQuantity", getOrderQuantity())
            .append("enableFlag", getEnableFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
